---
route: /components/reaction-toggle-icon
menu: UI Components
---

import { Playground, Props } from 'docz';
import { ReactionToggleIcon } from './ReactionToggleIcon';
import { ThumbsUpIcon, Color } from './Icons';

# ReactionToggleIcon

## Properties

<Props of={ReactionToggleIcon} />

## Basic usage

<Playground>
  <ReactionToggleIcon
    counts={{
      like: 13,
    }}
    own_reactions={{
      like: [{}],
    }}
    kind="like"
    onPress={console.log}
    activeIcon={<ThumbsUpIcon style={{ color: Color.Active }} />}
    inactiveIcon={<ThumbsUpIcon style={{ color: Color.Inactive }} />}
    labelSingle="like"
    labelPlural="likes"
  />
</Playground>
